For the complete documentation index, see llms.txt. This page is also available as Markdown.

Object

API Object & Resource Calls

The object calls are used to read, add, remove and manipulate MobiusFlow objects and resources.

Get live object

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
insstringRequired

MobiusFlow Object Instance ID

Example: {"value":"0001"}Pattern: ^[0-9A-Fa-f]{4}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001/020/000D/0001
get
/api/v1/mobius/object/{hid}/{sid}/{pid}/{ins}

Get live resource

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
insstringRequired

MobiusFlow Object Instance ID

Example: {"value":"0001"}Pattern: ^[0-9A-Fa-f]{4}$
ridstringRequired

MobiusFlow Resource ID

Example: {"value":"40"}Pattern: ^[0-9A-Fa-f]{2}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001/020/000D/0001/40
get
/api/v1/mobius/object/resource/{hid}/{sid}/{pid}/{ins}/{rid}

Get object configuration

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
insstringRequired

MobiusFlow Object Instance ID

Example: {"value":"0001"}Pattern: ^[0-9A-Fa-f]{4}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
get
/api/v1/mobius/object/config/{hid}/{sid}/{pid}/{ins}

Add object

post
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
Bodyobject[]

Array of resources

ridstringOptional
Responses
post
/api/v1/mobius/object/{hid}/{sid}/{pid}

Add object with specified instance ID

post
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
insstringRequired

MobiusFlow Object Instance ID

Example: {"value":"0001"}Pattern: ^[0-9A-Fa-f]{4}$
Bodyobject[]

Array of resources

ridstringOptional
Responses
post
/api/v1/mobius/object/{hid}/{sid}/{pid}/{ins}

Clone object

post
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
insstringRequired

MobiusFlow Object Instance ID

Example: {"value":"0001"}Pattern: ^[0-9A-Fa-f]{4}$
Body

Object cloning information

copiesnumberRequired

Number of copies to be created

startstringOptional

Starting instance ID of the 1st copy, subsequent copies will be incremented

Pattern: ^[0-9A-F]{4}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
post
/api/v1/mobius/object/clone/{hid}/{sid}/{pid}/{ins}

Patch live resource

patch
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
insstringRequired

MobiusFlow Object Instance ID

Example: {"value":"0001"}Pattern: ^[0-9A-Fa-f]{4}$
ridstringRequired

MobiusFlow Resource ID

Example: {"value":"40"}Pattern: ^[0-9A-Fa-f]{2}$
Body

Resource information

prioritynumberOptional

Priority of the resource value

valueany ofRequired

Value of the resource

stringOptional
or
numberOptional
or
booleanOptional
or
nullOptional
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001/020/000D/0001/40
patch
/api/v1/mobius/object/resource/{hid}/{sid}/{pid}/{ins}/{rid}

Patch multiple live resources

patch
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
insstringRequired

MobiusFlow Object Instance ID

Example: {"value":"0001"}Pattern: ^[0-9A-Fa-f]{4}$
Bodyobject[]

Array of patched live resources

rstringRequired

Resource ID

pnumberRequired

Priority of the resource value

vany ofRequired

Value of the resource

stringOptional
or
numberOptional
or
booleanOptional
or
nullOptional
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001/020/000D/0001
patch
/api/v1/mobius/object/resource/{hid}/{sid}/{pid}/{ins}

Clear live resource

patch
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
insstringRequired

MobiusFlow Object Instance ID

Example: {"value":"0001"}Pattern: ^[0-9A-Fa-f]{4}$
ridstringRequired

MobiusFlow Resource ID

Example: {"value":"40"}Pattern: ^[0-9A-Fa-f]{2}$
Body

Resource information

prioritynumberRequired

Priority of the resource value

Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001/020/000D/0001/40
patch
/api/v1/mobius/object/resource/clear/{hid}/{sid}/{pid}/{ins}/{rid}

Update object in service

patch
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
insstringRequired

MobiusFlow Object Instance ID

Example: {"value":"0001"}Pattern: ^[0-9A-Fa-f]{4}$
Body

Object information

insstringRequired

Replacement object instance ID

Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
patch
/api/v1/mobius/object/config/{hid}/{sid}/{pid}/{ins}

Delete object

delete
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
pidstringRequired

MobiusFlow Object Profile ID

Example: {"value":"014A"}Pattern: ^[0-9A-Fa-f]{4}$
insstringRequired

MobiusFlow Object Instance ID

Example: {"value":"0001"}Pattern: ^[0-9A-Fa-f]{4}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
delete
/api/v1/mobius/object/{hid}/{sid}/{pid}/{ins}

Last updated

Was this helpful?